<?php

namespace App\Http\Requests\Invoices;

use App\Http\Requests\ApiFormRequest;

class InvoiceGenerateRequest extends ApiFormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'parent_id' => ['required', 'integer', 'exists:users,id'],
            'school_year' => ['nullable', 'string', 'max:20'],
        ];
    }
}
